Create a Report Run
Creates a new object and begin running the report.
Body
required
application/json
Request to create and run report.
- Type: string
report _type requiredThe ID of the report type to run, such as
"payments.1". - Type: object
parameters Parameters specifying how the report should be run. Different Report Types have different required and optional parameters.
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
Request Example for post/v1/reporting/report_runs
curl https://api.paypercut.io/v1/reporting/report_runs \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"report_type": "",
"parameters": {
"columns": [
""
],
"currencies": [
""
],
"payment_methods": [
""
],
"account_ids": [
""
],
"operations": [
""
],
"statuses": [
""
],
"interval_end": "",
"interval_start": ""
}
}'
{
"status": "string"
}
